<?php

// TODO: installation script
define('DB_FILE', '/home/erinn/www-data/secrets.sqlite3');

// ======= end of config =======

$db = new SQLite3(DB_FILE);

$BASE = array('error' => 'no');
$ERROR = array('error' => 'yes', 'msg' => 'unknown error');

function require_auth($return = false) {
	global $db, $ERROR, $BASE;
	$ERROR_LOGIN = $ERROR; $ERROR_LOGIN['msg'] = 'login failure';
	
	if (!isset($_POST['user']) || !isset($_POST['pass']) || trim($_POST['user'])=="" | trim($_POST['pass'])=="") {
		if ($return) return false;
		e($ERROR_LOGIN);
	}

	$q = $db->prepare("SELECT * FROM users WHERE user = :user");
	$q->bindValue(':user', $_POST['user']);
	$res = $q->execute();

	if ($res === false) {
		if ($return) return false;
		e($ERROR_LOGIN);
	}

	$res = $res->fetchArray();
	if (password_verify($_POST['pass'], $res['pass'])) {
		return true;
	} else {
		if ($return) return false;
		e($ERROR_LOGIN);
	}
}

function e($arr) {
	exit(json_encode($arr));
}

?>
