<?php

require_once 'config.inc.php';

$ERROR_REGISTER = $ERROR; $ERROR_REGISTER['msg'] = 'failed to register';

if (!isset($_POST['user']) || !isset($_POST['pass']) || !isset($_POST['pubkey']) || trim($_POST['user'])=="" || trim($_POST['pass'])=="" || trim($_POST['pubkey'])=="") {
	e($ERROR_REGISTER);
}

if (preg_match("/[^0-9a-zA-Z]/", $_POST['user']) === 1) {
	e($ERROR_REGISTER);
}

$q = $db->prepare("SELECT * FROM users WHERE user = :user");
$q->bindValue(':user', $_POST['user']);
$res = $q->execute();

if ($res === false) {
	e($ERROR_REGISTER);
}

$res = $res->fetchArray();
if ($res !== false) {
	e($ERROR_REGISTER);
}

$q = $db->prepare("INSERT INTO users (user,pass,pubkey) VALUES (:user,:pass,:pubkey)");
$q->bindValue(':user', $_POST['user']);
$q->bindValue(':pass', password_hash($_POST['pass'], PASSWORD_DEFAULT));
$q->bindValue(':pubkey', $_POST['pubkey']);
$res = $q->execute();

if ($res === false) {
	e($ERROR_REGISTER);
}

e($BASE);

?>
